package com.redhat.thermostat.tools.eclipse.plugin;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;

public class SelectionUtils {

    /**
     * Returns an IProject that corresponds to the currently selected project.
     * Returns {@code null} if no project was selected or multiple projects were
     * selected
     */
    public static IProject getSelectedProject(ISelection selection) {
        if (selection instanceof IStructuredSelection && selection.isEmpty() == false) {
            IStructuredSelection ssel = (IStructuredSelection) selection;
            if (ssel.size() > 1) {
                return null;
            }

            Object obj = ssel.getFirstElement();
            if (obj instanceof IAdaptable) {
                IProject container = (IProject)((IAdaptable)obj).getAdapter(IProject.class);
                return container;
            }
        }

        return null;
    }
}
